=== debian/changelog ===
ros-indigo-ompl-visual-tools (2.3.2-0trusty) trusty; urgency=high

  * Removed usage of publishSamples in demo
  * Updated README
  * Added travis support
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 13 Jan 2016 07:00:00 -0000

ros-indigo-ompl-visual-tools (2.3.1-0trusty) trusty; urgency=high

  * catkin lint cleanup
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 07 Dec 2015 07:00:00 -0000

ros-indigo-ompl-visual-tools (2.3.0-0trusty) trusty; urgency=high

  * Fixed API changes in rviz_visual_tools
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 05 Dec 2015 07:00:00 -0000

ros-indigo-ompl-visual-tools (2.2.1-0trusty) trusty; urgency=high

  * Fix typo
  * Added missing images
  * Fix install space
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 07 Jan 2015 07:00:00 -0000

ros-indigo-ompl-visual-tools (2.2.0-0trusty) trusty; urgency=high

  * Fix for RvizVisualTools
  * Upgrade to new moveit_visual_tools API
  * API changes for moveit_visual_tools
  * Added gitignore
  * New publishState() functions
  * New publishRobotState function
  * Formatting, new callback parameter
  * Deprecated publishSamples functions
  * Added publishSpheres functions to correspond to moveit_visual_tools ones
  * Improved visualizationStateCallback
  * New publishRobotGraph function
  * New convertRobotStatesToTipPoints function
  * Fixing display database mode
  * Made publish functions return bool
  * Disable 3D option
  * publish cost map with non-static ID numbers
  * New publishSampleIDs function. Restructured publishSamples interface to use moveit_visual_tools version
  * Updated publishSampels() functions
  * Reduced size of published spheres
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 31 Oct 2014 06:00:00 -0000

ros-indigo-ompl-visual-tools (2.1.1-0trusty) trusty; urgency=high

  * Removed debug output
  * Removed hard-coded base_frame name
  * Improved memory usage
  * Cost ptr bug fix
  * Removed setOptimizationMethod()
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 11 Aug 2014 06:00:00 -0000

ros-indigo-ompl-visual-tools (2.1.0-0trusty) trusty; urgency=high

  * Removed getSolutionPlannerName that is not available in OMPL released version
  * Updated README
  * Renamed file to rrt_demo.cpp
  * Cleanup since change to moveit_visual_tools
  * Specify OMPL version
  * Fixed marker topic path
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 08 Aug 2014 06:00:00 -0000

ros-indigo-ompl-visual-tools (2.0.1-0trusty) trusty; urgency=high

  * Updated README
  * Removed lightning dependencies
  * Renamed ompl_rviz_viewer to ompl_visual_tools
  * Initial
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 07 Aug 2014 06:00:00 -0000
